Subject: Re: [PATCH v2 net-next] net: filter: export pkt_type_offset() helper

From: Hannes Frederic Sowa <[email-masked]>
Date: Thu, 04 Sep 2014 16:41:49 +0200

On Do, 2014-09-04 at 07:35 -0700, Eric Dumazet wrote:
> On Thu, 2014-09-04 at 16:33 +0200, Hannes Frederic Sowa wrote:
> 
> > Which btw. also uses int, which might change alignment of structures.
> 
> You missed the point .
> 
> kmemcheck wants to make sure the whole word is set, or else you could
> get false positives.
> 
> kmemcheck needs are quite different.

Now that you said it, I understand. :)

You were right with the int vs. u8 thing all along. gcc aligns the
datatype on the next struct field and not on the whole field, as I
expected. So excuse my error above.

I think the latest proposals looks good?